using System;
using System.Collections.Generic;
using System.Text;

namespace Information
{
    /// <summary>
    /// Class returned from the worker to the main frame
    /// The class contains all the asked configuration data
    /// </summary>
    public class WorkerReport
    {
        public ulong channelNumber = 0;
        public ulong portNumber = 0;
        public ulong[] channelsPerPort = null;
        public ulong[] portsDirection = null;

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="channelNumber"></param>
        /// <param name="portNumber"></param>
        /// <param name="channelsPerPort"></param>
        /// <param name="portsDirection"></param>
        public WorkerReport(ulong channelNumber, ulong portNumber, ulong [] channelsPerPort, ulong [] portsDirection)
        {
            this.channelNumber = channelNumber;
            this.portNumber = portNumber;
            this.channelsPerPort = channelsPerPort;
            this.portsDirection = portsDirection;
        }
    }
}
